<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML tables and Forms</title>
	</head>
	<body>
		<!--DIV for SEO   -->
		<div id="header">
			<h1>HTML Tables and Forms</h1>
		</div>
		<div id="main">
			<div id="section">
			 <!-- HTML Entities -->
			<h2>HTML Entities</h2>
			<p>
				<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>	
				<!-- <table> tag defines an HTML table that allows us to represent data in tabular format -->
				<table border="1">
					<thead>
						<!-- <tr> defines a table row -->
						<tr>
							<!-- <th> tag - defines a table header -->
								<!-- colspan = attributes - changes the amount of a talbe element will occupy = equivalent to merge -->
								<!-- counterpart is rowspan -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
						
					</thead>

					<!-- <tbody></tbody> tag used to group body content in an HTML table -->
					<tbody>
						<tr>
							<!-- <td>defines a table element</td> -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>
					
					<!-- <tfoot> tag - is used to group footer content in an HTML Table -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>

				</table>
			</div>	

			<div id="section">
				 <!-- HTML Entities -->
			<h2>HTML Forms</h2>
			 	<p>
			 		<em>Input elements that make aup a form.</em>
			 	</p>

			 	<!-- <form>creates a HTML form to capture user input
			 		- Action attribute = specifies where the information will be sent after submission
			 		- <button type ="value"> Defines how the button will behave.
			 		-Submit is the default value and not necessary to be included, but as a good practice it is added to HTML forms. </button></form> -->
			 	<form action="https://www.google.com/">
			 		<!-- Full Name -->
			 		<label for="full_name">Full Name:</label><br>
			 		<input type="text" name="" id="full_name" required autocomplete><br>
			 		<!-- Birth Date -->
			 		<label for= "birth_date">Birth Date</label><br>
			 		<input type="Date" name="birth_date" id="birth_date" required><br>

			 		<!-- Gender: Drop down menu -->
			 		<label for="gender">Gender:</label><br>
			 		<!-- <select>Creates a drop down menu </select> -->
			 		<select name="gender" id="gender">
			 			<!-- Creates an option for the dropdown -->
			 			<option value="Male">Male</option>
			 			<option value="Female">Female</option>
			 		</select><br>

			 		<!-- Notes -->
			 		<!-- rows and cols will set the number of characters in row or columns to input in the text area/box -->
			 		<label>Notes:</label><br>
			 		<textarea name="notes" id="notes" rows="5"></textarea><br>

			 		<!-- New User: Radio Buttons -->
			 		<!-- For radio buttons, name attributes should be the same -->
			 		<label>New User</label><br>
			 		<input type="radio" name="new_user" id="user-type1">
			 		<label for="user-type1">Yes</label><br>

			 		<input type="radio" name="new_user" id="user-type2">
			 		<label for="user-type2">No</label><br><br>


			 		<!-- Role: Using Checkbox -->
			 		<label>Role</label><br>
			 		<input type="checkbox" name="role1" id="role1" value="developer">
			 		<label for="role1">Developer</label><br>


			 		<input type="checkbox" name="role2" id="role2" value="Student">
			 		<label for="role2">Student</label><br>

			 		<input type="checkbox" name="role3" id="role3" value="Manager">
			 		<label for="role3">Manager</label><br><br>
			</div>				
		</div>

		<!-- End of Table Discussion -->



				<!-- buttons -->
				<br>
				<button type="submit">Submit</button><br>
				<button type="reset">Reset</button>
			</form>
		</p>

	</body>
</html>